> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend a supported video generation



## OpenAPI

````yaml /api/openapi.yaml post /v1/video-generations/{job_id}/extend
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /v1/video-generations/{job_id}/extend:
    post:
      tags:
        - Videos
      summary: Extend a supported video generation
      operationId: extendVideoGeneration
      parameters:
        - $ref: '#/components/parameters/JobId'
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExtendVideoGenerationRequest'
      responses:
        '202':
          description: Extension job accepted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationJob'
        '400':
          $ref: '#/components/responses/InvalidRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/InsufficientCredits'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          $ref: '#/components/responses/Conflict'
        '422':
          $ref: '#/components/responses/ContentPolicyViolation'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - bearerAuth:
            - videos:write
components:
  parameters:
    JobId:
      in: path
      name: job_id
      required: true
      schema:
        type: string
    IdempotencyKey:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
        minLength: 8
        maxLength: 128
      description: Unique key for safe retries of job creation requests.
  schemas:
    ExtendVideoGenerationRequest:
      type: object
      description: |
        Body for POST /v1/video-generations/{job_id}/extend. All fields are
        optional — when omitted, the extension reuses the source job's prompt.
      properties:
        prompt:
          type: string
          maxLength: 4096
          description: >-
            New instruction for the appended segment. If omitted, the source
            job's prompt is reused.
    GenerationJob:
      type: object
      required:
        - id
        - object
        - status
        - credits_reserved
        - created_at
        - assets
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - image_generation_job
            - video_generation_job
            - talking_avatar_job
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - failed
            - canceled
        progress_percent:
          type: integer
          minimum: 0
          maximum: 100
          nullable: true
        credits_reserved:
          type: integer
        credits_used:
          type: integer
          nullable: true
        credits_refunded:
          type: integer
          default: 0
        request:
          type: object
          additionalProperties: true
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
        failure_code:
          type: string
          nullable: true
        failure_message:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        failed_at:
          type: string
          format: date-time
          nullable: true
    Asset:
      type: object
      required:
        - id
        - object
        - type
        - url
        - mime_type
      properties:
        id:
          type: string
        object:
          type: string
          const: asset
        type:
          type: string
          enum:
            - image
            - audio
            - video
        url:
          type: string
          format: uri
        mime_type:
          type: string
        size_bytes:
          type: integer
        duration_seconds:
          type: number
          nullable: true
        width:
          type: integer
          nullable: true
        height:
          type: integer
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
    ErrorEnvelope:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - request_id
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
            details:
              type: object
              additionalProperties: true
  responses:
    InvalidRequest:
      description: Invalid request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    InsufficientCredits:
      description: Not enough credits.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Forbidden:
      description: Missing scope, plan, or resource access.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Conflict:
      description: Idempotency or concurrency conflict.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    ContentPolicyViolation:
      description: Input content is not allowed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: Rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````